> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# View Statements

GET https://sandbox.currenciesdirect.com/v1/customers/{customer_id}/statements/{currency_code}

View currency level statements to monitor past transactions or view multiple accounts statements to know the credits and fees deducted for payments.

Get a Statement for an Account for a single currency. You can also provide a range of dates to restrict the results to a certain period.

**Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)


Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/statements/get-statements

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Request

### Path parameters

- `customer_id` (string, required) — Unique Customer Identifier
- `currency_code` (string, required) — Three-letter currency code as per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).

### Query parameters

- `from` (date, optional) — Last date to include in the statement (yyyy-mm-dd in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format).
- `to` (date, optional) — First date to include in the statement (yyyy-mm-dd in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format).
- `page` (integer, optional) — For queries that return arrays of data. Including this optional query parameter causes the set of results to be paginated by this number of pages.
- `limit` (integer, optional, default: 50) — For queries that return arrays of data. Adding this optional query parameter causes the set of results to be split into pages of this size. Default is 50.

## Response

### 200

OK

- `transactions` (list of StatementTransaction, required) — Array of transactions.
- `meta_data` (StatementMetadata, required)

## Errors

### 400 Bad Request Error

Bad request - invalid parameters

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 401 Unauthorized Error

Unauthorized - invalid authorization header

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 500 Internal Server Error

Internal Server Error

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

## Types

### StatementTransaction

- `datetime` (datetime, required) — Timestamp of the statement line.
- `type` (enum, required) — Whether a credit (CR) or debit (DR).
  - Allowed values: `CR`, `DR`
- `description` (string, required) — Description of the line in the statement.
- `amount` (double, required) — Amount being debited or credited.

### StatementMetadata

- `total_pages` (string, required) — Number of pages of available data.
- `total_records` (string, required) — Number of records of available data.
- `next_page` (string, optional) — URL to next page of data. This field is omitted for the last page.
- `previous_page` (string, optional) — URL to the previous page of data. This field is omitted for the first page.

## Examples

**Response**

```json
{
  "transactions": [
    {
      "datetime": "2025-05-12T08:21:13Z",
      "type": "CR",
      "description": "Credit Received via Bank Ref:5837696",
      "amount": 816.15
    },
    {
      "datetime": "2025-04-29T12:58:39Z",
      "type": "CR",
      "description": "Credit Received via Bank Ref:5837633",
      "amount": 393.15
    },
    {
      "datetime": "2025-04-28T09:44:55Z",
      "type": "CR",
      "description": "Credit Received via Bank Ref:5837595",
      "amount": 553.15
    },
    {
      "datetime": "2025-04-28T07:52:55Z",
      "type": "CR",
      "description": "Credit Received via Bank Ref:5837586",
      "amount": 807.15
    },
    {
      "datetime": "2025-04-24T12:07:16Z",
      "type": "CR",
      "description": "Credit Received via Bank Ref:5837540",
      "amount": 784.15
    }
  ],
  "meta_data": {
    "total_pages": "1",
    "total_records": "5"
  }
}
```

**SDK Code**

```shell cURL
curl -X GET https://sandbox.currenciesdirect.com/v1/customers/{customerId}/statements/{currencyCode} \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

```

```python Statement response
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP"

querystring = {"from":"2025-04-01","to":"2025-05-31","page":"1","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Statement response
const url = 'https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Statement response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Statement response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Statement response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Statement response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Statement response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Statement response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/statements/GBP?from=2025-04-01&to=2025-05-31&page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```